# player_base.h File Reference

Definition of stuff that is very close to a player, like the player struct itself. More...

`#include "road_type.h"`
`#include "rail_type.h"`
`#include "date_type.h"`
`#include "engine.h"`
`#include "livery.h"`
`#include "autoreplace_type.h"`
`#include "economy_type.h"`
`#include "tile_type.h"`

Go to the source code of this file.

## Data Structures

struct | PlayerEconomyEntry
struct | Player

## Defines

#define | FOR_ALL_PLAYERS(p) for (p = _players; p != endof(_players); p++)

## Functions

static byte | ActivePlayerCount ()
static Player * | GetPlayer (PlayerID i)
Money | CalculateCompanyValue (const Player *p)

## Variables

Player | _players [MAX_PLAYERS]

## Detailed Description

Definition of stuff that is very close to a player, like the player struct itself.

Definition in file player_base.h.